View Issue Details

IDProjectCategoryView StatusLast Update
0022542LazarusWidgetsetpublic2014-10-19 01:23
ReporterPhilAssigned ToJesus Reyes 
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
PlatformMacOSOS XOS Version10.7
Product Version1.1 (SVN)Product Build1.0 RC1 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0022542: TStringGrid in Version Info tab still does not work
DescriptionAs per request of closed 0017856, here it is once again.

Start Laz, Project | Project Options, Version Info.

Check Include Version Info.

Now try navigating in the Value column below. It simply does not work correctly with either keyboard arrows or mouse.

In my experience, this bug shows up any time you use a TStringGrid in edit mode. It used to work ca. 2-3 years ago, but has not worked since. Makes TStringGrid pretty useless.


Also, can you add 1.0 RC1 to the Product Version dropdown in Bugtracker?
TagsNo tags attached.
Fixed in Revision46512, 46601
LazTarget1.4
WidgetsetCarbon
Attached Files

Relationships

related to 0025249 closedJesus Reyes Stringrid editing becomes borked, when Options -> GoAlwaysShowEditor is set to true 

Activities

Karl-Michael Schindler

2013-10-30 01:44

reporter   ~0071032

Maybe switching off GoAlwaysShowEditor helps here as a preliminary "fix", like in the related issue.

cjrh

2014-02-13 23:49

reporter   ~0073051

Unless I misunderstand the issue, it appears to be working in 1.2RC2?

Karl-Michael Schindler

2014-02-17 10:58

reporter   ~0073110

I tested 1.2RC2 and it still does not work, at least with my project.

Jesus Reyes

2014-10-11 09:29

developer   ~0078156

Keyboard Navigation should now work, using the mouse sometimes let the editor stuck. I will let open this report to track this specific mouse problem.

Jesus Reyes

2014-10-19 01:23

developer   ~0078357

Should be now fixed, please test.

Issue History

Date Modified Username Field Change
2012-08-02 02:18 Phil New Issue
2012-08-02 02:18 Phil Widgetset => Carbon
2013-02-11 08:24 Jesus Reyes Status new => assigned
2013-02-11 08:24 Jesus Reyes Assigned To => Jesus Reyes
2013-10-29 18:46 Jesus Reyes Relationship added related to 0025249
2013-10-30 01:44 Karl-Michael Schindler Note Added: 0071032
2014-02-13 23:49 cjrh Note Added: 0073051
2014-02-17 10:58 Karl-Michael Schindler Note Added: 0073110
2014-10-11 09:29 Jesus Reyes Fixed in Revision => 46512
2014-10-11 09:29 Jesus Reyes LazTarget => -
2014-10-11 09:29 Jesus Reyes Note Added: 0078156
2014-10-19 01:23 Jesus Reyes Fixed in Revision 46512 => 46512, 46601
2014-10-19 01:23 Jesus Reyes LazTarget - => 1.4
2014-10-19 01:23 Jesus Reyes Note Added: 0078357
2014-10-19 01:23 Jesus Reyes Status assigned => resolved
2014-10-19 01:23 Jesus Reyes Fixed in Version => 1.3 (SVN)
2014-10-19 01:23 Jesus Reyes Resolution open => fixed
2014-10-19 01:23 Jesus Reyes Target Version => 1.4